Latest post Mon, Sep 11 2017 3:18 PM by BobRusso. 6 replies.
Page 1 of 1 (7 items)
Sort Posts: Previous Next
  • Fri, Jun 16 2017 8:15 PM

    • NErez
    • Not Ranked
    • Joined on Wed, Sep 12 2012
    • Posts 60
    • Points 760

    ISIS Client for newest OSX

    When will this be released? Why do Avid users always have to be two releases behind the rest of the world because Avid's shared storage solution doesn't support the most recent OS?

  • Fri, Jun 16 2017 8:20 PM In reply to

    Re: ISIS Client for newest OSX

    The Avid NEXIS Client is available on the Avid Download Center and works with ISIS 4.7.5 or later. The NEXIS client supports MacOS Sierra.

    There will be no OS compatibility updates to the ISIS Client.

    https://www.youtube.com/avidevangelistbob [view my complete system specs]

    -- Bob Russo Principal Product Designer for Broadcast Storage & Editor Products

    Bob Russo on Expert Connections

  • Fri, Jun 16 2017 9:05 PM In reply to

    • NErez
    • Not Ranked
    • Joined on Wed, Sep 12 2012
    • Posts 60
    • Points 760

    Re: ISIS Client for newest OSX

    Thanks for the info. Much appreciated.

  • Mon, Sep 11 2017 11:47 AM In reply to

    • nigelad
    • Top 500 Contributor
    • Joined on Thu, Oct 13 2005
    • London UK
    • Posts 461
    • Points 5,325
    • Avid Certified Instructors - Video
      Avid Certified User

    Re: ISIS Client for newest OSX

    Thanks for the info. Does this apply to the latest Nexus release - 7.7?

    I'm bulding a new ISIS client with Mac OS 10.12.5, MC 8.9.1, PT 12.8.1, and was using ISIS Client 4.7.11.

    Can log into ISIS but can't mount any volumes.

    I'll give this a go.

    Nigel

    ISIS 5500, with Interplay Production bundle, MC 8.6.1 & PT 12.5.1 on Mac OS X.11.3 with BM Mini-Monitors. Running on 2013 Mac Pros and 2016 21"... [view my complete system specs]

    Less IS More!

  • Mon, Sep 11 2017 2:13 PM In reply to

    Re: ISIS Client for newest OSX

    The ISIS 4.7.11 client will not work and is not supported with 10.12.x. You must use the NEXIS client. Uninstall the ISIS client and install the NEXIS 7.7 client.

    https://www.youtube.com/avidevangelistbob [view my complete system specs]

    -- Bob Russo Principal Product Designer for Broadcast Storage & Editor Products

    Bob Russo on Expert Connections

  • Mon, Sep 11 2017 3:09 PM In reply to

    • nigelad
    • Top 500 Contributor
    • Joined on Thu, Oct 13 2005
    • London UK
    • Posts 461
    • Points 5,325
    • Avid Certified Instructors - Video
      Avid Certified User

    Re: ISIS Client for newest OSX

    Thanks again Bob - that worked.

    I'm still having issue with Flash meaning I can't access the administration tools. The old [v15] Flash installer on the ISIS fails on Sierra, and the latest version downloaded from Adobe doesn't fix the issue. Is there a workaround? Otherwise I'll try installing Chrome.

    regards

    Nigel

    ISIS 5500, with Interplay Production bundle, MC 8.6.1 & PT 12.5.1 on Mac OS X.11.3 with BM Mini-Monitors. Running on 2013 Mac Pros and 2016 21"... [view my complete system specs]

    Less IS More!

  • Mon, Sep 11 2017 3:18 PM In reply to

    Re: ISIS Client for newest OSX

    You can and should use the latest version of Flash. If you're referring to Safari, please see page 20 of the v7.7 readme; plug-ins need to be enabled.  

    Flash will need to be enabled with Chrome also.

    https://www.youtube.com/avidevangelistbob [view my complete system specs]

    -- Bob Russo Principal Product Designer for Broadcast Storage & Editor Products

    Bob Russo on Expert Connections

Page 1 of 1 (7 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller